import { DialogController, DialogService } from 'aurelia-dialog';
import { Disposable } from 'aurelia-framework';
import { BoxSize } from '../../constants/constants';
export declare abstract class FloatingBoxViewModel {
    private _view;
    protected dialogService: DialogService;
    protected dialogController: DialogController;
    protected disposables: Disposable[];
    private _size;
    constructor(_view: string, size?: BoxSize);
    activate(config: any): Promise<void>;
    close(): Promise<void>;
    cancel(): Promise<void>;
    protected dispose(): Promise<void>;
    setDialogController(controller: DialogController): Promise<void>;
    get size(): BoxSize;
    get view(): string;
    private clickOutsideListener;
}
